Skip to main content
PATCH
/
v1
/
orgs
/
{org_id}
/
channels
/
{channel_id}
Update Channel
curl --request PATCH \
  --url https://api.letpiper.com/v1/orgs/{org_id}/channels/{channel_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "status": "active",
  "entry_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "channel_type": "slack",
  "status": "active",
  "entry_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "config": {}
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
channel_id
string<uuid>
required

Body

application/json

Schema for updating a channel.

Note: Channels are created via OAuth flow only. Config cannot be modified after creation - reconnect via OAuth to change credentials.

name
string | null
Required string length: 1 - 255
status
enum<string> | null

Channel status.

Available options:
active,
inactive,
error
entry_agent_id
string<uuid> | null

Response

Successful Response

Schema for returning channel details (without secrets).

id
string<uuid>
required
name
string
required
channel_type
enum<string>
required

Supported channel types.

Available options:
slack
status
enum<string>
required

Channel status.

Available options:
active,
inactive,
error
entry_agent_id
string<uuid> | null
required
organization_id
string<uuid>
required
external_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
config
Config · object